서명
GET https://digily.link/api/signatures/
curl --request GET \
--url 'https://digily.link/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/signatures/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부 정보 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열. |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까. 허용된 값은 다음과 같습니다: name. |
| order_by | 선택 사항 문자열 | 결과를 어떤 필드로 정렬할지. 허용되는 값은 다음과 같습니다: signature_id , datetime , last_datetime , name. |
| order_type | 선택 사항 문자열 | 결과의 정렬 순서입니다. 허용되는 값은 다음과 같습니다: 오름차순 정렬의 경우 ASC, 내림차순 정렬의 경우 DESC입니다. |
| page | 선택 사항 정수 | 결과를 가져올 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 표시할 결과 수입니다. 허용되는 값은 다음과 같습니다: 10 , 25 , 50 , 100 , 250 , 500 , 1000. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "CEO",
"department": "Head of department",
"company": "Example Company LTD",
"email": "hello@micu.com",
"website_url": "https:\/\/micupharma.com\/",
"address": "Example Street, nr. 18",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "micu",
"twitter": "micu",
"instagram": "micu",
"youtube": "micu",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-03-25 10:31:24",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://digily.link/api/signatures?page=1",
"last": "https://digily.link/api/signatures?page=1",
"next": null,
"prev": null,
"self": "https://digily.link/api/signatures?page=1"
}
}
GET https://digily.link/api/signatures/{signature_id}
curl --request GET \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": 0,
"name": "Jane Doe",
"template": "mars",
"settings": {
"direction": "ltr",
"is_removed_branding": true,
"image_url": "",
"sign_off": "Regards,",
"full_name": "Jane Doe",
"job_title": "CEO",
"department": "Head of department",
"company": "Example Company LTD",
"email": "hello@micu.com",
"website_url": "https:\/\/micupharma.com\/",
"address": "Example Street, nr. 18",
"address_url": "",
"phone_number": "",
"whatsapp": "",
"facebook_messenger": "",
"telegram": "",
"disclaimer": "",
"font_family": "arial",
"font_size": 14,
"width": 500,
"image_width": 50,
"socials_width": 20,
"socials_padding": 10,
"separator_size": 0,
"theme_color": "#000000",
"full_name_color": "#000000",
"text_color": "#000000",
"link_color": "#000000",
"facebook": "micu",
"twitter": "micu",
"instagram": "micu",
"youtube": "micu",
"tiktok": "",
"spotify": "",
"pinterest": "",
"linkedin": "",
"snapchat": "",
"twitch": "",
"discord": "",
"github": "",
"reddit": ""
},
"last_datetime": null,
"datetime": "2026-03-25 10:31:24",
}
}
DELETE https://digily.link/api/signatures/{signature_id}
curl --request DELETE \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://digily.link/api/signatures/{signature_id}' \
--header 'Authorization: Bearer {api_key}' \